Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4468 - x server crashes due to font path problem
Summary: x server crashes due to font path problem
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: Xconfigurator
Version: 1.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-11 02:15 UTC by prabirm
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-24 01:09:26 UTC


Attachments (Terms of Use)

Description prabirm 1999-08-11 02:15:09 UTC
The XConfigurator configures the font path entries in the
file "/etc/X11/XF86Config" as

   FontPath   "unix/:-1"

because of this the x-server always crashes and you can
never start X11 using "startx" or directly after boot up.

I changed the parameters to the followings:

#   FontPath   "unix/:-1"
    FontPath    "/usr/X11R6/lib/X11/fonts/misc/"
    FontPath    "/usr/X11R6/lib/X11/fonts/Type1/"
    FontPath    "/usr/X11R6/lib/X11/fonts/Speedo/"
    FontPath    "/usr/X11R6/lib/X11/fonts/75dpi/"
    FontPath    "/usr/X11R6/lib/X11/fonts/100dpi/"

And "xdm" or "kdm" is working perfectly now.

BTW, the rawhide release date is "4th August, 1999"
I have a ViewSonic P655 with ATI Rage Pro II video card

Regards,
Prabir

Comment 1 Bill Nottingham 1999-08-11 14:04:59 UTC
Did you actually have the font server running?

Comment 2 Cristian Gafton 1999-08-24 01:09:59 UTC
Probably the font server was not running, because it works for me.


Note You need to log in before you can comment on or make changes to this bug.